Package com.omnisci.thrift.server

## Class OmniSci.has_object_privilege_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.has_object_privilege_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.has_object_privilege_args>`, `org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.has_object_privilege_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.has_object_privilege_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.has_object_privilege_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `granteeName`
`static Map<OmniSci.has_object_privilege_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `ObjectName`
`TDBObjectType` `objectType`
`TDBObjectPermissions` `permissions`
`String` `session`

### Constructor Summary

Constructors
`has_object_privilege_args()`
`has_object_privilege_args​(OmniSci.has_object_privilege_args other)` Performs a deep copy on other.
`has_object_privilege_args​(String session, String granteeName, String ObjectName, TDBObjectType objectType, TDBObjectPermissions permissions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.has_object_privilege_args other)`
`OmniSci.has_object_privilege_args` `deepCopy()`
`boolean` `equals​(OmniSci.has_object_privilege_args that)`
`boolean` `equals​(Object that)`
`OmniSci.has_object_privilege_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(OmniSci.has_object_privilege_args._Fields field)`
`String` `getGranteeName()`
`String` `getObjectName()`
`TDBObjectType` `getObjectType()`
`TDBObjectPermissions` `getPermissions()`
`String` `getSession()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.has_object_privilege_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetGranteeName()` Returns true if field granteeName is set (has been assigned a value) and false otherwise
`boolean` `isSetObjectName()` Returns true if field ObjectName is set (has been assigned a value) and false otherwise
`boolean` `isSetObjectType()` Returns true if field objectType is set (has been assigned a value) and false otherwise
`boolean` `isSetPermissions()` Returns true if field permissions is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(OmniSci.has_object_privilege_args._Fields field, Object value)`
`OmniSci.has_object_privilege_args` `setGranteeName​(String granteeName)`
`void` `setGranteeNameIsSet​(boolean value)`
`OmniSci.has_object_privilege_args` `setObjectName​(String ObjectName)`
`void` `setObjectNameIsSet​(boolean value)`
`OmniSci.has_object_privilege_args` `setObjectType​(TDBObjectType objectType)`
`void` `setObjectTypeIsSet​(boolean value)`
`OmniSci.has_object_privilege_args` `setPermissions​(TDBObjectPermissions permissions)`
`void` `setPermissionsIsSet​(boolean value)`
`OmniSci.has_object_privilege_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`String` `toString()`
`void` `unsetGranteeName()`
`void` `unsetObjectName()`
`void` `unsetObjectType()`
`void` `unsetPermissions()`
`void` `unsetSession()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### granteeName

    public String granteeName

#### ObjectName

    public String ObjectName

#### objectType

    public TDBObjectType objectType

See Also:
  `TDBObjectType`

#### permissions

    public TDBObjectPermissions permissions

#### metaDataMap

    public static final Map<OmniSci.has_object_privilege_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### has_object_privilege_args

    public has_object_privilege_args()

#### has_object_privilege_args

    public has_object_privilege_args​(String session,
                                     String granteeName,
                                     String ObjectName,
                                     TDBObjectType objectType,
                                     TDBObjectPermissions permissions)

#### has_object_privilege_args

    public has_object_privilege_args​(OmniSci.has_object_privilege_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.has_object_privilege_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.has_object_privilege_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getGranteeName

    public String getGranteeName()

#### setGranteeName

    public OmniSci.has_object_privilege_args setGranteeName​(String granteeName)

#### unsetGranteeName

    public void unsetGranteeName()

#### isSetGranteeName

    public boolean isSetGranteeName()

Returns true if field granteeName is set (has been assigned a value) and false otherwise

#### setGranteeNameIsSet

    public void setGranteeNameIsSet​(boolean value)

#### getObjectName

    public String getObjectName()

#### setObjectName

    public OmniSci.has_object_privilege_args setObjectName​(String ObjectName)

#### unsetObjectName

    public void unsetObjectName()

#### isSetObjectName

    public boolean isSetObjectName()

Returns true if field ObjectName is set (has been assigned a value) and false otherwise

#### setObjectNameIsSet

    public void setObjectNameIsSet​(boolean value)

#### getObjectType

    public TDBObjectType getObjectType()

See Also:
  `TDBObjectType`

#### setObjectType

    public OmniSci.has_object_privilege_args setObjectType​(TDBObjectType objectType)

See Also:
  `TDBObjectType`

#### unsetObjectType

    public void unsetObjectType()

#### isSetObjectType

    public boolean isSetObjectType()

Returns true if field objectType is set (has been assigned a value) and false otherwise

#### setObjectTypeIsSet

    public void setObjectTypeIsSet​(boolean value)

#### getPermissions

    public TDBObjectPermissions getPermissions()

#### setPermissions

    public OmniSci.has_object_privilege_args setPermissions​(TDBObjectPermissions permissions)

#### unsetPermissions

    public void unsetPermissions()

#### isSetPermissions

    public boolean isSetPermissions()

Returns true if field permissions is set (has been assigned a value) and false otherwise

#### setPermissionsIsSet

    public void setPermissionsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.has_object_privilege_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.has_object_privilege_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.has_object_privilege_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.has_object_privilege_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.has_object_privilege_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.has_object_privilege_args>`

#### fieldForId

    public OmniSci.has_object_privilege_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.has_object_privilege_args,​OmniSci.has_object_privilege_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`